Subject: Re: [PATCH v2] net: Remove low_thresh in ip defrag

From: Ido Schimmel <[email-masked]>
Date: Tue, 16 May 2023 11:12:42 +0300

On Mon, May 15, 2023 at 12:06:45PM +0000, Angus Chen wrote:
> > -----Original Message-----
> > From: Ido Schimmel <[email-masked]>
> > Sent: Monday, May 15, 2023 7:03 PM
> > To: Angus Chen <[email-masked]>
> > Cc: [email-masked]; [email-masked]; [email-masked];
> > [email-masked]; [email-masked]; [email-masked];
> > [email-masked]
> > Subject: Re: [PATCH v2] net: Remove low_thresh in ip defrag
> > 
> > On Fri, May 12, 2023 at 09:01:52AM +0800, Angus Chen wrote:
> > > As low_thresh has no work in fragment reassembles,del it.
> > > And Mark it deprecated in sysctl Document.
> > >
> > > Signed-off-by: Angus Chen <[email-masked]>
> > 
> > Getting the following traces with this patch when creating a netns:
> Sorry for test miss because I tested it in card and didn't test it with multi net.
> Should I create a pernet struct for it?
> It may looks too complicated.

Sorry but I don't understand the motivation behind this patch. IIUC, the
sysctl is deprecated and has no use in the kernel, yet it cannot be
removed because user space may rely on it being present. If so, what is
the significance of the code changes in this patch? Why not just update
the documentation?